Can I run Alfresco community 201707 GA on a more current Tomcat like 8.0/8.5/9? The release notes only speak of Tomcat 7. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
andrewiesner
Member II

Can I run Alfresco community 201707 GA on a more current Tomcat like 8.0/8.5/9? The release notes only speak of Tomcat 7. Thank you!

Dear experts,

I need to deploy Alfresco Community 201707 GA in a new environment, but cannot update due to a lot of customizations.

Target-Scenario: RedHat 7 and Tomcat 8.0

My research did not come up with any results. Does anyone have experience running this version on Tomcat 8.0 or higher? Are there pitfalls? Workarounds? Success stories?

Thanks a lot!

André

1 Reply
Moderator
Moderator

Re: Can I run Alfresco community 201707 GA on a more current Tomcat like 8.0/8.5/9? The release notes only speak of Tomcat 7. Thank you!

You can certainly run Alfresco on Tomcat 8.5, which is the default now for the newer versions of Alfresco. Some of the Tomcat-specific configuration to enable extensibility via the <root>/modules/platform and <root>/modules/share folders (for Alfresco Simple JAR modules) work differently in Tomcat 8.5 compared to 8, so you might have to mix + match some of the documentation / examples, but otherwise it should work without a hitch.

Don't know the differences in Tomcat 9 too well to make an educated guess, and have not seen / heard of anyone using this with Alfresco yet.